## network-utilities 0.6.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1 FATAL_ERROR)
cmake_policy(SET CMP0022 NEW)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

PROJECT(network-utiltities
	VERSION 0.6.6
	LANGUAGES C CXX)

set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${network-utiltities_BINARY_DIR})
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${network-utiltities_BINARY_DIR})

set(PACKAGE_NAME ${network-utiltities_PROJECT_NAME})
set(PACKAGE_VERSION ${network-utiltities_VERSION})
set(PACKAGE_SO_VERSION ${network-utiltities_VERSION}) # .so version for libnutclient and libnutcommon

include(Qt5Translate)
include(DefaultBuildType)
include(ExtraFlags)
include(ImportNetlink)
include(LanguageFlags)
include(LinkObjectLibrary)

set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(INTERPROCEDURAL_OPTIMIZATION ON)
set(INTERPROCEDURAL_OPTIMIZATION_DEBUG OFF)

option(USE_WIRELESS "Enable support for wireless networks through wpa_supplicant." ON)
if(USE_WIRELESS)
	include(ImportLibIW)
else()
	# fake the lib.
	add_library("libiw" INTERFACE)
	add_definitions(-DNUT_NO_WIRELESS)
endif()

set(CMAKE_INSTALL_LIBDIR lib CACHE PATH "Output directory for libraries")
set(CMAKE_INSTALL_INCLUDEDIR include CACHE PATH "Output directory for includes")

include_directories(${CMAKE_SOURCE_DIR})
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

find_package(Qt5Core REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(Qt5Network REQUIRED)
find_package(Qt5LinguistTools REQUIRED)

# only qnut uses gui
set(QT_DONT_USE_QTGUI 1)

function(build_subdir)
	foreach(dir ${ARGN})
		add_subdirectory("${dir}" "${dir}-build")
	endforeach()
endfunction()

build_subdir(libnutcommon)

if(USE_WIRELESS)
	build_subdir(libnutwireless)
endif()

build_subdir(
	libnutclientbase
	libnutclient
	cnut
	nuts
	qnut
)

=== cnut/CMakeLists.txt ===
# TARGET_OBJECTS and CMAKE_AUTOMOC are buggy with ninja in cmake < 3.4
set(CMAKE_AUTOMOC OFF)

add_executable(cnut
	$<TARGET_OBJECTS:nutclientbase>

	cnut_commands.cpp
	cnut_commands.h
	cnut_parsers.cpp
	cnut_parsers.h
	cnut_types.h
	main.cpp
)

target_link_object(cnut
	nutclientbase
)

install(TARGETS cnut DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

=== libnutclient/CMakeLists.txt ===
file(GLOB TRANSLATIONS_TS translations/nutclient_*.ts)
file(GLOB TRANSLATIONS_USAGES *.cpp)

# TARGET_OBJECTS and CMAKE_AUTOMOC are buggy with ninja in cmake < 3.4
set(CMAKE_AUTOMOC OFF)

qt5_wrap_cpp(nutclient_MOC_SOURCE
	cdevice.h
	cdevicemanager.h
	cenvironment.h
	cinterface.h
#	clibnut.h
#	client.h
	clog.h
	cnutservice.h

	TARGET nutclient
	)

add_library(nutclient SHARED
	cdevice.cpp
	cdevice.h
	cdevicemanager.cpp
	cdevicemanager.h
	cenvironment.cpp
	cenvironment.h
	cinterface.cpp
	cinterface.h
	clibnut.cpp
	clibnut.h
	client.h
	clog.cpp
	clog.h
	cnutservice.cpp
	cnutservice.h

	${nutclient_MOC_SOURCE}

	$<TARGET_OBJECTS:nutwireless>
	$<TARGET_OBJECTS:nutclientbase>
)
qt5_translate(
	SOURCES ${TRANSLATIONS_USAGES}
	TRANSLATIONS ${TRANSLATIONS_TS}
	TARGET nutclient)

set_target_properties(nutclient PROPERTIES VERSION ${PACKAGE_VERSION} SOVERSION ${PACKAGE_SO_VERSION})


target_link_object(nutclient
	nutclientbase
)
if(USE_WIRELESS)
	target_link_object(nutclient
		nutwireless
	)
endif()
target_link_libraries(nutclient
	libnl
	libiw
)

file(GLOB NUTCLIENT_H ${CMAKE_CURRENT_SOURCE_DIR}/*.h)

install(TARGETS nutclient LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES ${TRANSLATIONS_QM} DESTINATION ${INSTALL_SHARE_TARGET_PREFIX}/lang)
install(FILES ${NUTCLIENT_H} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/libnutclient)

=== libnutclientbase/CMakeLists.txt ===
# nutclientbase is linked by cnut; it uses only the "native" dbus interfaces,
# not the state tracking wrappers
add_library(nutclientbase OBJECT
	dbus.cpp
	dbus.h
)

object_link_libraries(nutclientbase PUBLIC
	nutcommon
	Qt5::Core
	Qt5::DBus
)

file(GLOB NUTCLIENT_BASE_H ${CMAKE_CURRENT_SOURCE_DIR}/*.h)

install(FILES ${NUTCLIENT_BASE_H} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/libnutclientbase)

=== libnutcommon/CMakeLists.txt ===
# recompile only a single file on version changes
add_library(nutcommon_version OBJECT
	version.cpp
	version.h
)
set_target_properties(nutcommon_version PROPERTIES COMPILE_FLAGS "-DNUT_VERSION='\"${PACKAGE_VERSION}\"'")
object_link_libraries(nutcommon_version PUBLIC
	Qt5::Core
)

# TARGET_OBJECTS and CMAKE_AUTOMOC are buggy with ninja in cmake < 3.4
set(CMAKE_AUTOMOC OFF)

qt5_wrap_cpp(nutcommon_MOC_SOURCE
#	common.h
#	config.h
	dbusmanager.h
#	device.h
#	enum.h
#	flags.h
#	macaddress.h
	TARGET nutcommon
	)

add_library(nutcommon SHARED
	common.cpp
	common.h
	config.cpp
	config.h
	config_dbus.cpp
	dbusmanager.cpp
	dbusmanager.h
	device.cpp
	device.h
	device_dbus.cpp
	enum.h
	flags.h
	macaddress.cpp
	macaddress.h
	ssid.cpp
	ssid.h

	${nutcommon_MOC_SOURCE}

	$<TARGET_OBJECTS:nutcommon_version>
)
set_target_properties(nutcommon PROPERTIES VERSION ${PACKAGE_VERSION} SOVERSION ${PACKAGE_SO_VERSION})

target_link_object(nutcommon
	nutcommon_version
	Qt5::DBus
	Qt5::Network
)

install(TARGETS nutcommon LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

file(GLOB NUTCOMMON_H ${CMAKE_CURRENT_SOURCE_DIR}/*.h)
install(FILES ${NUTCOMMON_H} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/libnutcommon)

=== libnutwireless/CMakeLists.txt ===
find_package(BISON)
find_package(FLEX)

add_definitions(-DCONFIG_CTRL_IFACE -DCONFIG_CTRL_IFACE_UNIX)

bison_target(CONFIGPARSER_Y configparser.y ${CMAKE_CURRENT_BINARY_DIR}/configparser_yacc.cpp COMPILE_FLAGS "-p configparser")
flex_target(CONFIGPARSER_L configparser.l ${CMAKE_CURRENT_BINARY_DIR}/configparser_lex.cpp COMPILE_FLAGS "-Pconfigparser")
add_flex_bison_dependency(CONFIGPARSER_L CONFIGPARSER_Y)

add_library(nutwireless OBJECT
	cconfigparser.cpp
	cconfigparser.h
	cnetworkconfig.cpp
	cnetworkconfig.h
	cnl80211.cpp
	cnl80211.h
	conversion.cpp
	conversion.h
	cwexthw.cpp
	cwexthw.h
	cwexthw_parse.cpp
	cwireless.cpp
	cwireless.h
	cwirelesshw.h
	types.cpp
	types.h
	wpa_supplicant.cpp
	wpa_supplicant.h
	wpa_supplicant_base.cpp
	wpa_supplicant_net.cpp
	wpa_supplicant_parsers.cpp
	wstypes.cpp
	wstypes.h

	wpa_ctrl/build_config.h
	wpa_ctrl/common.c
	wpa_ctrl/common.h
	wpa_ctrl/os.h
	wpa_ctrl/os_unix.c
	wpa_ctrl/wpa_ctrl.c
	wpa_ctrl/wpa_ctrl.h
	wpa_ctrl/wpa_debug.c
	wpa_ctrl/wpa_debug.h

	configparser.l
	configparser.y

	${FLEX_CONFIGPARSER_L_OUTPUTS}
	${BISON_CONFIGPARSER_Y_OUTPUTS}
)

object_link_libraries(nutwireless PUBLIC
	nutcommon
	libnl
	libnl-genl
	Qt5::Network
	Qt5::Core
)

file(GLOB NUTWIRELESS_H ${CMAKE_CURRENT_SOURCE_DIR}/*.h)
install(FILES ${NUTWIRELESS_H} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/libnutwireless)

=== nuts/CMakeLists.txt ===
project(nuts)

find_package(BISON)
find_package(FLEX)

flex_target(CONFIGPARSER_L configparser.l ${CMAKE_CURRENT_BINARY_DIR}/configparser_lex.cpp COMPILE_FLAGS "-Pconfigparser")

add_executable(${PROJECT_NAME}
	arp.cpp
	arp.h
	configparser.cpp
	configparser.h
	configparser_p.h
	dbus.cpp
	dbus.h
	device.cpp
	device.h
	dhcppacket.cpp
	dhcppacket.h
	events.cpp
	events.h
	exception.h
	hardware.cpp
	hardware.h
	log.cpp
	log.h
	main.cpp
	processmanager.cpp
	processmanager.h
	random.cpp
	random.h
	sighandler.cpp
	sighandler.h
	timecls.cpp
	timecls.h

	configparser.l

	${FLEX_CONFIGPARSER_L_OUTPUTS}
	${BISON_CONFIGPARSER_Y_OUTPUTS}
)

target_link_libraries(${PROJECT_NAME}
	nutcommon
	libnl
	libnl-route
)

install(TARGETS ${PROJECT_NAME} DESTINATION ${CMAKE_INSTALL_PREFIX}/sbin)

=== presentation/Makefile ===

.PHONY:all
all: presentation.pdf handout.pdf

SRC=${wildcard *.tex}
SRC+=${wildcard *.sty}
SRC+=${wildcard *.png}
SRC+=${wildcard *.jpg}
SRC+=nutsstructure.pdf
SRC+=libnutstructure.pdf

PRESTMP=presentation.nav presentation.out presentation.snm presentation.vrb
PRESTMP+=presentation.aux  presentation.log presentation.toc

HANDTMP=handout.nav handout.out handout.snm handout.vrb
HANDTMP+=handout.aux  handout.log handout.toc

presentation.pdf: ${SRC}
	@echo Removing temporary files
	@rm -f ${PRESTMP}
	@pdflatex presentation.tex
	@pdflatex presentation.tex
	@echo Removing temporary files
	@rm -f ${PRESTMP}

handout.pdf: ${SRC}
	@echo Removing temporary files
	@rm -f ${HANDTMP}
	@pdflatex handout.tex
	@pdflatex handout.tex
	@echo Removing temporary files
	@rm -f ${HANDTMP}

nutsstructure.pdf: nutsstructure.mp
	@echo [MPOST] nutsstructure.mp
	@mpost nutsstructure.mp
	@echo "[EPS->PDF]" nutsstructure.mps
	@epstopdf nutsstructure.mps
	@echo Removing temporary files
	@rm -f nutsstructure.mps nutsstructure.log nutsstructure.mpx

libnutstructure.pdf: libnutstructure.mp
	@echo [MPOST] libnutstructure.mp
	@mpost libnutstructure.mp
	@echo "[EPS->PDF]" libnutstructure.mps
	@epstopdf libnutstructure.mps
	@echo Removing temporary files
	@rm -f libnutstructure.mps libnutstructure.log libnutstructure.mpx

.PHONY: clean
clean:
	@echo Removing presentation.pdf handout.pdf
	@rm -f presentation.pdf handout.pdf

=== qnut/CMakeLists.txt ===
project(qnut)

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

set(INSTALL_SHARE_PREFIX ${CMAKE_INSTALL_PREFIX}/share)
set(INSTALL_SHARE_TARGET_PREFIX ${INSTALL_SHARE_PREFIX}/qnut)

set(FORMS
	ui/accesspointconfig.ui
	ui/adhocconfig.ui
	ui/devicedetails.ui
	ui/devicesettings.ui
	ui/ipconfiguration.ui
	ui/wirelesssettings.ui
)

file(GLOB TRANSLATIONS_TS translations/qnut_*.ts)
file(GLOB_RECURSE TRANSLATIONS_USAGES *.cpp *.ui)

qt5_wrap_ui(FORMS_H ${FORMS})

add_executable(qnut
	cabstractwifinetconfigdialog.cpp
	cabstractwifinetconfigdialog.h
	caccesspointconfig.cpp
	caccesspointconfig.h
	cadhocconfig.cpp
	cadhocconfig.h
	cconnectionmanager.cpp
	cconnectionmanager.h
	cdevicesettings.cpp
	cdevicesettings.h
	cipconfiguration.cpp
	cipconfiguration.h
	cnotificationmanager.cpp
	cnotificationmanager.h
	common.cpp
	common.h
	constants.h
	cuidevice.cpp
	cuidevice.h
	cwirelesssettings.cpp
	cwirelesssettings.h
	main.cpp

	modelview/cavailableapmodel.cpp
	modelview/cavailableapmodel.h
	modelview/ccommandlistmodel.cpp
	modelview/ccommandlistmodel.h
	modelview/cdnslistmodel.cpp
	modelview/cdnslistmodel.h
	modelview/cenvironmentdetailsmodel.cpp
	modelview/cenvironmentdetailsmodel.h
	modelview/cenvironmenttreemodel.cpp
	modelview/cenvironmenttreemodel.h
	modelview/cinterfacedetailsmodel.cpp
	modelview/cinterfacedetailsmodel.h
	modelview/cipeditdelegate.cpp
	modelview/cipeditdelegate.h
	modelview/cmanagedapmodel.cpp
	modelview/cmanagedapmodel.h
	modelview/cuidevicemodel.cpp
	modelview/cuidevicemodel.h

	utils/cerrorcodeevaluator.cpp
	utils/cerrorcodeevaluator.h

	${FORMS_H}
)

qt5_translate(
	SOURCES ${TRANSLATIONS_USAGES}
	TRANSLATIONS ${TRANSLATIONS_TS}
	TARGET qnut)

target_link_libraries(qnut
	nutclient
	Qt5::Gui
	Qt5::Widgets
)

file(GLOB RES_ICONS res/*.png res/qnut.svg res/qnut_small.svg)

install(TARGETS qnut DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
install(FILES ${TRANSLATIONS_QM} DESTINATION ${INSTALL_SHARE_TARGET_PREFIX}/lang)
install(FILES ${RES_ICONS} DESTINATION ${INSTALL_SHARE_TARGET_PREFIX}/icons)
install(FILES qnut.desktop DESTINATION ${INSTALL_SHARE_PREFIX}/applications)

=== debian/changelog ===
network-utilities (0.6.6-2) unstable; urgency=medium

  * nuts: depend on 'lsb-base (>= 3.0-6)' for init script
  * use debhelper for rules
  * fix library package names
  * workaround missing QVector::append in older Qt
  * drop debug packages

 -- Stefan Bühler <stbuehler@web.de>  Mon, 12 Jun 2017 18:23:12 +0200

network-utilities (0.6.6-1) unstable; urgency=medium

  * [nuts] fix use (std::function<>) after free
  * [nutclientbase] fix header installation
  * [cmake] silence "mabye" warning
  * [qnut] fix some out-of-bound accesses (crashes in wlan list dialog)
  * [qnut] actually use CAvailableAPProxyModel::lessThan
  * [qnut] update code style, remove some globals, ...
  * [common] fix SSID handling
  * [qnut] add "quit" back to trayicon menu
  * [libnutwireless] style cleanup
  * [wireless] remove eappsk and nai
  * [qnut] simplify inputMask: space is the default blank character
  * [nuts] fix adjusting and cleanup of IPv6 routes
  * Release 0.6.6
  * Remove patch for "[nuts] fix use (std::function<>) after free"

 -- Stefan Bühler <stbuehler@web.de>  Mon, 12 Jun 2017 17:58:28 +0200

network-utilities (0.6.5-2) unstable; urgency=medium

  * [nuts] fix use (std::function<>) after free

 -- Stefan Bühler <stbuehler@web.de>  Tue, 28 Jun 2016 22:07:51 +0200

network-utilities (0.6.5-1) unstable; urgency=medium

  * [nuts] fix IPv6 auto configuration handling without restarting interface
  * [nuts] use nl_msg_parse instead of parsing netlink message manually
  * [nuts] apply metric to all IPv4 and IPv6 routes
  * [nuts] forward stdout/stderr from (backend) processes
  * Release 0.6.5
  * remove patch for: workaround missing RTNH_F_LINKDOWN

 -- Stefan Bühler <stbuehler@web.de>  Sun, 26 Jun 2016 21:54:48 +0200

network-utilities (0.6.4-2) unstable; urgency=medium

  * workaround missing RTNH_F_LINKDOWN

 -- Stefan Bühler <stbuehler@web.de>  Sun, 19 Jun 2016 21:22:00 +0200

network-utilities (0.6.4-1) unstable; urgency=medium

  * [nuts] move address+route management to hardware.cpp
  * [common] fix endless loop in DBusAbstractAdaptor::removeConnections
  * [nuts] only delay carrier up event
  * [nuts] restart interface on carrier loss to kick IPv6 state
  * [nuts] start working on a "clear IPv6 state" method. work in progress.
  * [nuts] make default config really small, example is in docs/config.example
  * [nuts] don't allow 0 and 1 as boolean values, no blanks between '-' and digits for numbers
  * [nuts] document config syntax in README.md
  * [nuts] fix fallback handling, especially zeroconf (fixes #1)
  * [nuts] allow metric configuration per interface
  * [nuts] fix ARP announces
  * [nuts] try handling lost device a bit better
  * [nuts] prefer interface index over name, use netlink to discover interfaces
  * [nuts] don't set default route with zeroconf
  * Release 0.6.4

 -- Stefan Bühler <stbuehler@web.de>  Sun, 19 Jun 2016 16:41:42 +0200

network-utilities (0.6.3-1) unstable; urgency=medium

  * [libnutclient*] use explicit constructors
  * [dbus API] extend device (properties) by "next" and "userPreferred"
    environments
  * [nuts] fix missing NUT_EVENT variable in dispatch script
  * Release 0.6.3

 -- Stefan Bühler <stbuehler@web.de>  Tue, 14 Jun 2016 15:48:00 +0200

network-utilities (0.6.2-1) unstable; urgency=medium

  * [nuts] fix endless loop on failure in config parser
  * workaround for pre Qt5.4 QTimer::singleShot API
  * fix init script, provide systemd service
  * [nuts] use process manager to keep track of running child processes before terminating
  * [nuts] split time wrapper class into separate header
  * cleanup: whitespace, style, explicit constructors, ...
  * update README requirements to Qt5
  * [libnutcommon] more cleanups, split config DBus serialization code, enum class
  * [nuts] replace local QObjectTimer with official QBasicTimer
  * [libnutcommon] use QBasicTimer in DBus
  * [libnutcommon] cleanup dbus manager: use QPrivateSignal, fix class name
  * [libnutcommon] split DBus functions from device.cpp, cleanup MacAddress
  * [libnutcommon] can't have signals in dbus abstractor, as they'd get relayed to DBus
  * [nuts] refactor time classes, ARP and zeroconf handling
  * [nuts] detect device renames, refactor initial discovery
  * [nuts] use same list for device paths and names
  * [libnutcommon] fix DBus connection handling: store known connections for later registrations
  * [libnutcommon] add some DBus logging on failures
  * [nuts] synchronize signal names from common code, fixing adding and removing of devices on the fly
  * [libnutcommon] fix DBus serialization of MacAddress (needs to be wrapped in struct), sadly breaking compatibility
  * Release 0.6.2

 -- Stefan Bühler <buehler@cert.uni-stuttgart.de>  Tue, 31 May 2016 21:22:26 +0200

network-utilities (0.6.1-1) unstable; urgency=medium

  * [cmake] use CMAKE_C[XX]_STANDARD[_REQUIRED] if available
  * [cmake] LinkObjectLibrary: document how target_sources call would
    look like if it worked
  * [libnutwireless] fix comparison with EAPF_UNDEFINED
  * [nuts] fix ambiguous value construction by adding type
  * [cmake] manual "moc" in targets using TARGET_OBJECTS to workaround
    cmake bug
  * [cmake] create "qt5_translate" function to handle translations in a
    sane way; require cmake 3.1
  * [cmake] explicitly add all header and parser files in target sources
  * connect by member function pointer
  * [nutcommon] hide DBusAbstractAdapater internal signals
  * [nuts] refactor and fix timer id management
  * [qnut] add command line option to prevent minimizing to tray
  * Release 0.6.1

 -- Stefan Bühler <stbuehler@web.de>  Sun, 06 Dec 2015 20:34:43 +0100

network-utilities (0.6.0-3) experimental; urgency=medium

  * add missing package containing linguist binaries

 -- Stefan Bühler <stbuehler@web.de>  Sat, 05 Sep 2015 22:17:10 +0200

network-utilities (0.6.0-2) experimental; urgency=medium

  * fix missing qt linguist dependency



=== debian/control ===
Source: network-utilities
Section: admin
Priority: important
Maintainer: Stefan Bühler <source@stbuehler.de>
Uploaders: Oliver Groß <neokensuke@freenet.de>, Stefan Bühler <stbuehler@web.de>
Build-Depends:
 debhelper (>= 9),
 dh-systemd (>= 1.5),
 qtbase5-dev-tools,
 qttools5-dev,
 qttools5-dev-tools,
 bison,
 flex,
 libnl-3-dev,
 libnl-genl-3-dev,
 libnl-route-3-dev,
 libiw-dev,
 cmake (>= 3),
 pkg-config,
Standards-Version: 3.9.8

Package: nuts
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 resolvconf,
 lsb-base (>= 3.0-6),
Recommends: wpasupplicant
Description: Network UTility server
 Manages your network cards; the server has an DBus Interface,
 which the clients use to control the server.
 .
 This package contains the server.

Package: qnut
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Network UTility Qt client
 Manages your network cards; the server has an DBus Interface,
 which the clients use to control the server.
 .
 This package contains the Qt client.

Package: cnut
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Network UTility command line client
 Manages your network cards; the server has an DBus Interface,
 which the clients use to control the server.
 .
 This package contains the command line client.

Package: libnutclient0.6.6
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: nuts (= ${binary:Version})
Description: Network UTility client library debug symbols
 Manages your network cards; the server has an DBus Interface,
 which the clients use to control the server.
 .
 This package contains the client library.

Package: libnutclient0.6.6-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 libnutclient0.6.6 (= ${binary:Version}),
Priority: extra
Description: Network UTility client library development files
 Manages your network cards; the server has an DBus Interface,
 which the clients use to control the server.
 .
 This package contains the development files for the client library.

Package: libnutcommon0.6.6
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: nuts (= ${binary:Version})
Description: Network UTility common library
 Manages your network cards; the server has an DBus Interface,
 which the clients use to control the server.
 .
 This package contains the common library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CXXFLAGS+=-DQT_NO_DEBUG_OUTPUT

%:
	dh $@ --parallel
